OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Types | Public Member Functions | Protected Types | Protected Attributes | List of all members
OpenMesh::ArrayKernel::ExtStatusSetT< Handle > Class Template Reference

— ExtStatusSet API — (hybrid between a set and an array) More...

`#include <OpenMesh/Core/Mesh/ArrayKernel.hh>`

Inheritance diagram for OpenMesh::ArrayKernel::ExtStatusSetT< Handle >:
[legend]
Collaboration diagram for OpenMesh::ArrayKernel::ExtStatusSetT< Handle >:
[legend]

## Public Types

typedef AutoStatusSetT< Handle > | Base
typedef HandleContainer::iterator | iterator
typedef HandleContainer::const_iterator | const_iterator

## Public Member Functions

| ExtStatusSetT (ArrayKernel &_kernel, unsigned int _capacity_hint=0)
void | insert (Handle _hnd)
void | erase (Handle _hnd)
void | erase (iterator _it)
void | clear ()
| Note: O(n) complexity.
unsigned int | size () const
| Complexity: 0(1)
bool | empty () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
Handle & | front ()
const Handle & | front () const
Handle & | back ()
const Handle & | back () const
Public Member Functions inherited from OpenMesh::ArrayKernel::AutoStatusSetT< Handle >
| AutoStatusSetT (ArrayKernel &_kernel)
Public Member Functions inherited from OpenMesh::ArrayKernel::StatusSetT< Handle >
| StatusSetT (ArrayKernel &_kernel, unsigned int _bit_mask)
bool | is_in (Handle _hnd) const

## Protected Types

typedef std::vector< Handle > | HandleContainer

## Protected Attributes

HandleContainer | handles_

## Additional Inherited Members

Public Attributes inherited from OpenMesh::ArrayKernel::StatusSetT< Handle >
const unsigned int | bit_mask_

## Detailed Description

### template<class Handle>
class OpenMesh::ArrayKernel::ExtStatusSetT< Handle >

— ExtStatusSet API — (hybrid between a set and an array)

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/ArrayKernel.hh